<ion-header>

  <ion-navbar>
    <ion-title>{{title}}</ion-title>
  </ion-navbar>

</ion-header>


<ion-content padding>
  <ion-searchbar
    [(ngModel)]="searchString"
    [showCancelButton]="true"
    placeholder="Zoek winkel op naam"
    (ionInput)="onSearchInput($event)"
    (ionCancel)="onCancel($event)">
  </ion-searchbar>
  <ion-list>
    <ion-card *ngFor="let shop of facade.filteredShops">
      <ion-row align-items-center>
        <ion-col width-75>
          <ion-label>{{shop.name}}</ion-label>
          <ion-label>{{shop.getAdresFormatted()}}</ion-label>
        </ion-col>
        <ion-col align-items-center width-25>
          <button (click)="toggleFavorite(shop);" style="background: none;" ion-button icon-only color="transparent"
                  *ngIf="!shop.isFavorite">
            <ion-icon name="star-outline"></ion-icon>
          </button>
          <button (click)="toggleFavorite(shop);" style="background: none;" ion-button icon-only color="transparent"
                  *ngIf="shop.isFavorite">
            <ion-icon name="star" color="primary"></ion-icon>
          </button>
        </ion-col>

      </ion-row>
    </ion-card>
  </ion-list>
</ion-content>
